package gov.va.med.esr.service;

import java.io.Serializable;
import java.util.Date;

import org.apache.commons.lang.builder.ToStringBuilder;

/**
 * Parameter object from IVM
 * 
 * @author DNS   ruizc
 *
 */
public class IVMFinancialInfo implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -6159668968033733198L;
	
	private String ivmActionCode = null;
	
	
	
	private Integer incomeYear = null;
	
	private String ivmCaseNumber = null;

	private String ivmLetterCode = null;
	
	private Date ivmCaseClosureDate = null;	

	
	// This is only for purpose of Z10 during
	// reversal.
	private Integer currentIncomeYear = null;
	
	private Boolean btFinancialInd;

	public IVMFinancialInfo() {
		
	}

	public String getIvmActionCode() {
		return ivmActionCode;
	}

	public void setIvmActionCode(String ivmActionCode) {
		this.ivmActionCode = ivmActionCode;
	}

	public Integer getIncomeYear() {
		return incomeYear;
	}

	public void setIncomeYear(Integer incomeYear) {
		this.incomeYear = incomeYear;
	}

	public Integer getCurrentIncomeYear() {
		return currentIncomeYear;
	}

	public void setCurrentIncomeYear(Integer currentIncomeYear) {
		this.currentIncomeYear = currentIncomeYear;
	}

	public String getIvmCaseNumber() {
		return ivmCaseNumber;
	}

	public void setIvmCaseNumber(String ivmCaseNumber) {
		this.ivmCaseNumber = ivmCaseNumber;
	}

	public String getIvmLetterCode() {
		return ivmLetterCode;
	}

	public void setIvmLetterCode(String ivmLetterCode) {
		this.ivmLetterCode = ivmLetterCode;
	}

	public Date getIvmCaseClosureDate() {
		return ivmCaseClosureDate;
	}

	public void setIvmCaseClosureDate(Date ivmCaseClosureDate) {
		this.ivmCaseClosureDate = ivmCaseClosureDate;
	}


	
	public Boolean getBtFinancialInd() {
		return btFinancialInd;
	}

	public void setBtFinancialInd(Boolean btFinancialInd) {
		this.btFinancialInd = btFinancialInd;
	}

	public String toString(){
		
		return ToStringBuilder.reflectionToString(this);
		
	}
	
}
